%gap_version 4.12.2
%gap_archdir /usr/lib64/gap
%gap_libdir /usr/share/gap
%gap_arch powerpc64le-redhat-linux-gnu-default64-kv8

# Files installed by GAPDoc
%gapdoc_files chooser.html lefttoc.css manual.css manual.js nocolorprompt.css ragged.css rainbow.js times.css toggless.css toggless.js

# Install documentation files of interest.  In particular, we do not install
# intermediate files produced by (La)TeX as it runs.  GAPDoc style files are
# linked instead of copied.
# -d DIR: Copy files to directory DIR under the package directory (instead of
#         "doc", which is the default)
# -n NAME: name of the package, defaults to %%{pkgname}
%gap_copy_docs(d:n:) \
  subdir=%{-d:%{-d*}}%{!-d:doc} \
  if [ "%_target_cpu" = "noarch" ]; then \
    path=%{buildroot}%{gap_libdir}/pkg/%{-n:%{-n*}}%{!-n:%{pkgname}}/$subdir \
  else \
    path=%{buildroot}%{gap_archdir}/pkg/%{-n:%{-n*}}%{!-n:%{pkgname}}/$subdir \
  fi \
  for ext in bib css gif html jpeg jpg js lab pdf png six txt; do \
    cp -p $subdir/*.$ext $path 2>/dev/null || : \
  done \
  for fil in %{gapdoc_files}; do \
    if [ -e "$path/$fil" ]; then \
      rm $path/$fil \
      if [ "%_target_cpu" = "noarch" ]; then \
        ln -s ../..$(sed 's|/|/..|' <<< "${subdir//[^\\/]}")/GAPDoc/styles/$fil $path/$fil \
      else \
        ln -s %{gap_libdir}/pkg/GAPDoc/styles/$fil $path/$fil \
      fi \
    fi \
  done
